using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class AssetsUnits : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    // در این بخش واحد کالای جدید با استفاده از کلاسی که برای این کار در بخش کلاسها ایجاد شده بوجود می آید
    protected void Btn_Insert_Click(object sender, EventArgs e)
    {
        Lbl_Error.Text = String.Empty;
        try
        {
            Class_AssetUnits AddUnits = new Class_AssetUnits(Txt_AssetUnit.Text.Trim());
            if (AddUnits.UDF_CheckDuplicate() == 0)
            {
                AddUnits.UDF_CreateNewAssetUnit();
                Txt_AssetUnit.Text = String.Empty;
                Grd_AssetUnits.DataBind();
                Lbl_Error.Text = "واحد کالای جدید ایجاد گردید ";
            }
            else
            {
                Lbl_Error.Text = "عنوان واحد کالای وارد شده تکراری می باشد.";
            }
        }
        catch
        {
            Lbl_Error.Text = "اشکالی در ایجاد واحد کالای جدید پیش آمده است";
        }

    }
}
